%define upstream_name    CPAN-FindDependencies
%define upstream_version 3.13

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Object representing a module dependency
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Archive::Tar)
BuildRequires: perl(Archive::Zip)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Capture::Tiny) >= 0.50.0
BuildRequires: perl(Devel::CheckOS) >= 1.520.0
BuildRequires: perl(Devel::Hide)
BuildRequires: perl(Env::Path) >= 0.190.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Path) >= 2.170.0
BuildRequires: perl(File::Temp) >= 0.190.0
BuildRequires: perl(File::Type)
BuildRequires: perl(IO::Compress::Bzip2)
BuildRequires: perl(IO::Uncompress::Bunzip2)
BuildRequires: perl(LWP::Protocol::https) >= 6.90.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Module::CoreList) >= 5.202.9.200
BuildRequires: perl(Parse::CPAN::Packages) >= 2.310.0
BuildRequires: perl(Pod::Perldoc) >= 3.230.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Time)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(URI::file) >= 4.130.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#make test

%install
%make_install

%files
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/share/man/man1/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 3.130.0-2.mga10
+ Revision: 2214639
- Mageia 10 Mass Rebuild

* Thu May 26 2022 tv <tv> 3.130.0-1.mga9
+ Revision: 1860243
- update to 3.13

* Tue Apr 19 2022 tv <tv> 3.120.0-1.mga9
+ Revision: 1851563
- update to 3.12

* Tue Apr 12 2022 tv <tv> 3.110.0-1.mga9
+ Revision: 1848975
- update to 3.11

* Mon Mar 21 2022 umeabot <umeabot> 3.100.0-2.mga9
+ Revision: 1814875
- Mageia 9 Mass Rebuild

* Mon Aug 16 2021 tv <tv> 3.100.0-1.mga9
+ Revision: 1741687
- update to 3.10

* Sat Jul 17 2021 tv <tv> 3.90.0-1.mga9
+ Revision: 1736474
- update to 3.09

* Wed Jul 07 2021 tv <tv> 3.70.0-1.mga9
+ Revision: 1735060
- update to 3.07

* Mon Jul 05 2021 tv <tv> 3.60.0-1.mga9
+ Revision: 1734777
- update to 3.06

* Fri Feb 26 2021 tv <tv> 3.50.0-1.mga9
+ Revision: 1692097
- update to 3.05

* Sun Nov 08 2020 tv <tv> 3.40.0-1.mga8
+ Revision: 1643545
- update to 3.04

* Fri Oct 30 2020 tv <tv> 3.30.0-1.mga8
+ Revision: 1640568
- update to 3.03

* Thu Oct 29 2020 tv <tv> 3.20.0-1.mga8
+ Revision: 1640354
- update to 3.02

* Wed Oct 28 2020 tv <tv> 3.10.0-1.mga8
+ Revision: 1640080
- update to 3.01

* Sun Feb 16 2020 umeabot <umeabot> 2.490.0-2.mga8
+ Revision: 1536711
- Mageia 8 Mass Rebuild

* Thu Oct 24 2019 tv <tv> 2.490.0-1.mga8
+ Revision: 1455623
- update to 2.49

* Fri Nov 09 2018 tv <tv> 2.480.0-1.mga7
+ Revision: 1329034
- update to 2.48

* Thu Sep 20 2018 umeabot <umeabot> 2.470.0-2.mga7
+ Revision: 1281863
- Mageia 7 Mass Rebuild

* Mon Jul 31 2017 sander85 <sander85> 2.470.0-1.mga7
+ Revision: 1133017
- update to 2.47

* Sat Jun 18 2016 pterjan <pterjan> 2.440.0-3.mga6
+ Revision: 1024447
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 2.440.0-2.mga6
+ Revision: 968904
- Mageia 6 Mass Rebuild

* Thu Jul 23 2015 sander85 <sander85> 2.440.0-1.mga6
+ Revision: 856492
- update to 2.44

* Sat Jul 04 2015 sander85 <sander85> 2.430.0-1.mga6
+ Revision: 850166
- update to 2.43

* Wed Oct 15 2014 umeabot <umeabot> 2.420.0-4.mga5
+ Revision: 749845
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.420.0-3.mga5
+ Revision: 683672
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 2.420.0-2.mga4
+ Revision: 526320
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 2.420.0-1.mga4
+ Revision: 436615
- update to 2.42

* Sun Jan 13 2013 umeabot <umeabot> 2.410.0-2.mga3
+ Revision: 363607
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 2.410.0-1.mga3
+ Revision: 291600
- update to 2.41

* Tue Jun 05 2012 kharec <kharec> 2.400.0-1.mga3
+ Revision: 255051
- update to 2.4

* Tue Jan 25 2011 jquelin <jquelin> 2.340.0-1.mga1
+ Revision: 38254
- skipping test
- mageia rebuild
- imported package perl-CPAN-FindDependencies

